/// <reference types="react" />
interface FieldValidators {
    [key: string]: any;
}
interface FormConfig {
    [key: string]: FormFields;
}
interface FormError {
    [key: string]: any;
}
interface FormErrors {
    [key: string]: FormError;
}
interface FormField {
    [key: string]: any;
}
interface FormFields {
    [key: string]: any;
}
interface FormValues {
    [key: string]: FormField;
}
declare const _default: {
    (props: any): JSX.Element;
    displayName: string;
};
export default _default;
export { FieldValidators, FormConfig, FormError, FormErrors, FormField, FormFields, FormValues };
