var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { createContext } from 'react';
var _a = createContext({}), Consumer = _a.Consumer, Provider = _a.Provider;
var FormConsumer = Consumer;
var FormProvider = Provider;
var withFormContext = function (TargetComponent) {
    var WithFormContext = function (props) { return (React.createElement(Consumer, null, function (formContext) { return React.createElement(TargetComponent, __assign({}, props, formContext)); })); };
    var targetName = TargetComponent.displayName || TargetComponent.name;
    WithFormContext.displayName = "withFormContext(" + targetName + ")";
    return WithFormContext;
};
export { FormConsumer, FormProvider, withFormContext };
//# sourceMappingURL=../../src/dist/form/FormContext.js.map