/// <reference types="react" />
import { FormFields, FormModel } from './FormContext';
interface ValidationConfig {
}
interface ValidationArgs extends Partial<Omit<FormModel, 'register' | 'unregister'>> {
}
declare type Validationfn = (args: ValidationArgs) => JSX.Element;
interface ValidationProps extends Partial<FormModel> {
    children: Validationfn;
    config: ValidationConfig;
    initialValues?: FormFields;
}
declare const _default: {
    (props: ValidationProps): JSX.Element;
    displayName: string;
};
export default _default;
