import React, { Component } from 'react';
interface ValidatorsProviderProps {
    validators: Record<string, any>;
}
export declare class ValidatorsProvider extends Component<ValidatorsProviderProps> {
    static getDerivedStateFromProps(nextProps: any): any;
    static defaultProps: {
        validators: {};
    };
    static propTypes: {
        validators: import("prop-types").Requireable<import("prop-types").InferProps<{}>>;
    };
    state: {
        [x: string]: any;
    };
    render(): JSX.Element;
}
export declare const ValidatorsConsumer: React.ExoticComponent<React.ConsumerProps<{}>>;
export declare const withValidators: (TargetComponent: any) => {
    (props: any): JSX.Element;
    displayName: string;
};
export {};
