var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { createContext } from 'react';
var _a = createContext({}), Consumer = _a.Consumer, Provider = _a.Provider;
export var SelectProvider = Provider;
export var SelectConsumer = Consumer;
export var withSelectContext = function (TargetComponent) {
    var WithSelectContext = function (props) { return (React.createElement(Consumer, null, function (selectContext) { return React.createElement(TargetComponent, __assign({}, props, selectContext)); })); };
    var targetName = TargetComponent.displayName || TargetComponent.name;
    WithSelectContext.displayName = "withSelectContext(" + targetName + ")";
    return WithSelectContext;
};
//# sourceMappingURL=../../src/dist/list/SelectContext.js.map