"use strict";
var pathEquals = function (array) {
    if (!array || !array.length) {
        return function (other) { return false; };
    }
    return function (other) {
        if (!other || other.length !== array.length) {
            return false;
        }
        var result = true;
        for (var i = 0; result && i < array.length; i++) {
            result = (other[i] === array[i]);
        }
        return result;
    };
};
//# sourceMappingURL=../../src/dist/list/pathEquals.js.map