var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import React from 'react';
import { func, shape } from 'prop-types';
import Form from './Form';
import Validation from './Validation';
var FormValidation = function (props) {
    var children = props.children, config = props.config, initialValues = props.initialValues, onSubmit = props.onSubmit, rest = __rest(props, ["children", "config", "initialValues", "onSubmit"]);
    return (React.createElement(Form, __assign({ onSubmit: onSubmit }, rest),
        React.createElement(Validation, { config: config, initialValues: initialValues }, children)));
};
FormValidation.propTypes = {
    children: func.isRequired,
    config: shape({}).isRequired,
    initialValues: shape({}),
    onSubmit: func,
};
export default FormValidation;
//# sourceMappingURL=../../src/dist/form/FormValidation.js.map